ru.bitel.bgbilling.modules.inet.accounting.detail.event

## Class InetDetailCreateEvent

- java.lang.Object
- - ru.bitel.bgbilling.kernel.event.Event
  - - ru.bitel.bgbilling.kernel.event.QueueEvent
    - - ru.bitel.bgbilling.modules.inet.accounting.detail.event.InetDetailCreateEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class InetDetailCreateEvent
      extends QueueEvent

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `InetDetailCreateEvent.SessionInfo`

  - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.event.Event

      `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `InetDetailCreateEvent()`
    `` | `InetDetailCreateEvent(int moduleId, int accountingRootDeviceId, int deviceId, int inetServId, java.lang.String inetServTitle, java.util.Date timeFrom, java.util.Date timeTo, int agentDeviceId, java.util.Set<java.lang.Integer> ifaces, IpAddress addressFrom, IpAddress addressTo, IpAddress prefix, short prefixLength, java.util.List<IpNet> routeNetList, java.lang.String email)`
    `` | `InetDetailCreateEvent(int moduleId, int accountingRootDeviceId, int deviceId, int inetServId, java.lang.String inetServTitle, java.util.Date timeFrom, java.util.Date timeTo, java.util.List<InetDetailCreateEvent.SessionInfo> sessionList, java.lang.String email)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getDeviceId()`
    `java.lang.String` | `getEmail()`
    `int` | `getInetServId()`
    `java.lang.String` | `getInetServTitle()`
    `java.util.List<InetDetailCreateEvent.SessionInfo>` | `getSessionList()`
    `java.util.Date` | `getTimeFrom()`
    `java.util.Date` | `getTimeTo()`
    `protected void` | `prepareMessage(javax.jms.Message message)`

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.Event

      `getContractId, getContractID, getDestination, getGenerateTime, getModuleId, getModuleID, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, serializeAsObject, setLogFunctionProcess, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### InetDetailCreateEvent

          protected InetDetailCreateEvent()

    - #### InetDetailCreateEvent

          public InetDetailCreateEvent(int moduleId,
                                       int accountingRootDeviceId,
                                       int deviceId,
                                       int inetServId,
                                       java.lang.String inetServTitle,
                                       java.util.Date timeFrom,
                                       java.util.Date timeTo,
                                       java.util.List<InetDetailCreateEvent.SessionInfo> sessionList,
                                       java.lang.String email)

    - #### InetDetailCreateEvent

          public InetDetailCreateEvent(int moduleId,
                                       int accountingRootDeviceId,
                                       int deviceId,
                                       int inetServId,
                                       java.lang.String inetServTitle,
                                       java.util.Date timeFrom,
                                       java.util.Date timeTo,
                                       int agentDeviceId,
                                       java.util.Set<java.lang.Integer> ifaces,
                                       IpAddress addressFrom,
                                       IpAddress addressTo,
                                       IpAddress prefix,
                                       short prefixLength,
                                       java.util.List<IpNet> routeNetList,
                                       java.lang.String email)

  - ### Method Detail

    - #### prepareMessage

          protected void prepareMessage(javax.jms.Message message)
                                 throws javax.jms.JMSException

      Overrides:
        `prepareMessage` in class `Event`
      Throws:
        `javax.jms.JMSException`

    - #### getDeviceId

          public int getDeviceId()

    - #### getInetServId

          public int getInetServId()

    - #### getInetServTitle

          public java.lang.String getInetServTitle()

    - #### getTimeFrom

          public java.util.Date getTimeFrom()

    - #### getTimeTo

          public java.util.Date getTimeTo()

    - #### getSessionList

          public java.util.List<InetDetailCreateEvent.SessionInfo> getSessionList()

    - #### getEmail

          public java.lang.String getEmail()